<?php
namespace Insign\PostCore\Model;

use Insign\PostCore\Api\Data\BarcodeInterface;
use Magento\Catalog\Model\AbstractModel;

/**
 * Class Barcode
 * @package Insign\PostCore\Model
 */
class Barcode extends AbstractModel implements BarcodeInterface
{

    const ID = 'entity_id';
    const FILEPATH = 'label_file_path';
    const SHIPPING_ID = 'shipment_id';
    const ORDER_ID = 'order_id';
    const REQUEST = 'request';
    const RESPONSE = 'response';
    const CREATED_AT = 'created_at';

    protected function _construct() {
        $this->_init(ResourceModel\Barcode::class);
    }

    /** @inheridoc  */
    public function getId()
    {
        return $this->_getData(self::ID);
    }

    /** @inheridoc  */
    public function getPath()
    {
        return $this->_getData(self::FILEPATH);
    }

    /** @inheridoc  */
    public function setPath(string $path)
    {
        $this->setData(self::FILEPATH, $path);
    }

    /** @inheridoc  */
    public function getShippingId()
    {
        return $this->_getData(self::SHIPPING_ID);
    }

    public function setShippingId(int $shippingId)
    {
        $this->setData(self::SHIPPING_ID, $shippingId);
    }

    /** @inheridoc  */
    public function getOrderId()
    {
        return $this->_getData(self::ORDER_ID);
    }

    /** @inheridoc  */
    public function setOrderId(int $orderId)
    {
        $this->setData(self::ORDER_ID, $orderId);
    }

    /** @inheridoc  */
    public function getCreatedAt()
    {
        return $this->_getData(self::CREATED_AT);
    }

    /** @inheridoc  */
    public function setCreatedAt(int $timestamp)
    {
        $this->setData(self::CREATED_AT, $timestamp);
    }

    /** @inheridoc  */
    public function getRequest()
    {
        return $this->_getData(self::REQUEST);
    }

    /** @inheridoc  */
    public function setRequest(string $request)
    {
        $this->setData(self::REQUEST, $request);
    }

    /** @inheridoc  */
    public function getResponse()
    {
        return $this->_getData(self::RESPONSE);
    }

    /** @inheridoc  */
    public function setResponse(string $response)
    {
        $this->setData(self::RESPONSE, $response);
    }
}
