<?php

namespace Insign\PostCore\Model\Config\Source\Barcode;

class ConfigOptionFrankingLicense implements \Magento\Framework\Data\OptionSourceInterface
{
    /**
     * @var \Insign\PostCore\Helper\BarcodeHelper
     */
    private $barcodeHelper;

    /**
     * ConfigOptionFrankingLicense constructor.
     * @param \Insign\PostCore\Helper\BarcodeHelper $barcodeHelper
     */
    public function __construct(\Insign\PostCore\Helper\BarcodeHelper $barcodeHelper)
    {
        $this->barcodeHelper = $barcodeHelper;
    }

    /**
     * @inheritDoc
     */
    public function toOptionArray()
    {
        return $this->getValuesFrankingLicens();
    }

    public function getValuesFrankingLicens()
    {
        $resultOptions = [];
        $arrayValuesFrankingLicens = $this->barcodeHelper->getFrankingLicenseList();
        if (is_array($arrayValuesFrankingLicens)) {
            foreach ($arrayValuesFrankingLicens as $key=>$value) {
                if (isset($value['franking_license'])) {
                    $option = ['value' => $value['franking_license'], 'label' => __($value['name_franking_license']) . ' (' . $value['franking_license'] . ')'];
                    array_push($resultOptions, $option);
                }
            }
        }
        return $resultOptions;
    }
}
