define([
    'Insign_PostCore/js/model/swisspost-messages',
    'mage/translate',
    'ko'
], function (postcoreMessages, $t, ko) {
    'use strict';

    return {
        /**
         * @param {Object} response
         * @param {Object} messageContainer
         */
        process: function (response) {
            switch(response) {
                case "CERTIFIED":
                case "DOMICILE_CERTIFIED":
                    return "CERTIFIED";
                case "USABLE":
                case "FIXED":
                    return "VALID";
                case "UNUSABLE":
                case "COMPROMISED":
                    return "NOT VALID"
                case "ERROR":
                    postcoreMessages.showError(true);
                    postcoreMessages.error($t('An error occurred during the validation of the delivery address.'));
                    return null;
                default:
                    return response;
            }
        },

        isValidating: ko.observable(false)
    };
});
